Delete a local report with exact confirmation and an immutable tombstone
curl --request POST \
--url https://api.firedrill.run/v1/projects/{projectId}/local-reports/{localReportId}/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"confirm": "<string>"
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/local-reports/{localReportId}/delete"
payload = { "confirm": "<string>" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirm: '<string>'})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/local-reports/{localReportId}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report": {
"schemaVersion": 1,
"localReportId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"submissionDigest": "<string>",
"manifestDigest": "<string>",
"archiveBytes": 33554432,
"state": "awaiting_upload",
"provenance": {
"origin": "user_produced",
"trust": "unattested",
"uploadedBy": "<string>"
},
"uploadExpiresAtMs": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"summary": {
"runId": "<string>",
"drillId": "<string>",
"targetId": "<string>",
"reportedBuildHash": "<string>",
"reportedPackageLockHash": "<string>",
"seed": "<string>",
"reportedStatus": "<string>",
"artifactCount": 515,
"expandedBytes": 134217728,
"redacted": true,
"scenarioId": "<string>",
"reportedVerdict": "passed"
},
"operationId": "<string>",
"failureCode": "<string>",
"verifiedAtMs": 0,
"deletedAtMs": 0
},
"operation": {
"schemaVersion": 1,
"operationId": "<string>",
"organizationId": "<string>",
"kind": "<string>",
"state": "pending",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"projectId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"result": {
"schemaVersion": 1,
"kind": "world.time.advance",
"operationId": "<string>",
"sessionId": "<string>",
"leaseGeneration": 4503599627370495,
"buildHash": "<string>",
"correlationId": "<string>",
"requestedUs": 0,
"startedUs": 0,
"reachedUs": 0,
"maxEvents": 500000,
"scheduledEventsProcessed": 0,
"evidenceBeforeSequence": 0,
"evidenceAfterSequence": 0,
"status": "completed",
"eventBudgetExhausted": true,
"failure": {
"code": "<string>",
"message": "<string>",
"scheduledEventId": "<string>"
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
}
}{
"report": {
"schemaVersion": 1,
"localReportId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"submissionDigest": "<string>",
"manifestDigest": "<string>",
"archiveBytes": 33554432,
"state": "awaiting_upload",
"provenance": {
"origin": "user_produced",
"trust": "unattested",
"uploadedBy": "<string>"
},
"uploadExpiresAtMs": 0,
"createdAtMs": 0,
"updatedAtMs": 0,
"summary": {
"runId": "<string>",
"drillId": "<string>",
"targetId": "<string>",
"reportedBuildHash": "<string>",
"reportedPackageLockHash": "<string>",
"seed": "<string>",
"reportedStatus": "<string>",
"artifactCount": 515,
"expandedBytes": 134217728,
"redacted": true,
"scenarioId": "<string>",
"reportedVerdict": "passed"
},
"operationId": "<string>",
"failureCode": "<string>",
"verifiedAtMs": 0,
"deletedAtMs": 0
},
"operation": {
"schemaVersion": 1,
"operationId": "<string>",
"organizationId": "<string>",
"kind": "<string>",
"state": "pending",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"projectId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"result": {
"schemaVersion": 1,
"kind": "world.time.advance",
"operationId": "<string>",
"sessionId": "<string>",
"leaseGeneration": 4503599627370495,
"buildHash": "<string>",
"correlationId": "<string>",
"requestedUs": 0,
"startedUs": 0,
"reachedUs": 0,
"maxEvents": 500000,
"scheduledEventsProcessed": 0,
"evidenceBeforeSequence": 0,
"evidenceAfterSequence": 0,
"status": "completed",
"eventBudgetExhausted": true,
"failure": {
"code": "<string>",
"message": "<string>",
"scheduledEventId": "<string>"
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Delete a local report with exact confirmation and an immutable tombstone
Acceptance is asynchronous. Poll the local report and returned operation with the same project authority. No hosted execution attestation is created.
Delete a local report with exact confirmation and an immutable tombstone
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^lrep_[a-f0-9]{32}$Body
application/json
Pattern:
^lrep_[a-f0-9]{32}$